# Uses of Class
org.eclipse.jface.dialogs.PageChangedEvent

Packages that use PageChangedEvent
Package
Description
org.eclipse.jface.dialogs
Provides support for dialogs.
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.jface.wizard
Provides a framework for wizards.

## Uses of PageChangedEvent in org.eclipse.jface.dialogs

Methods in org.eclipse.jface.dialogs with parameters of type PageChangedEvent
Modifier and Type
Method
Description
`void`
IPageChangedListener.`pageChanged(PageChangedEvent event)`
Notifies that the selected page has changed.

## Uses of PageChangedEvent in org.eclipse.jface.preference

Methods in org.eclipse.jface.preference with parameters of type PageChangedEvent
Modifier and Type
Method
Description
`protected void`
PreferenceDialog.`firePageChanged(PageChangedEvent event)`
Notifies any selection changed listeners that the selected page has changed.

## Uses of PageChangedEvent in org.eclipse.jface.wizard

Methods in org.eclipse.jface.wizard with parameters of type PageChangedEvent
Modifier and Type
Method
Description
`protected void`
WizardDialog.`firePageChanged(PageChangedEvent event)`
Notifies any selection changed listeners that the selected page has changed.